About Converter

Converter is a PC application that can be run at CyberLoad application by the <Converter> button.

Converter allows you to:

  • Convert bitmaps files (*.bmp) to Cybiko computer picture files (*.pic) or (*.xpic), and to send pictures to Cybiko computer.
  • Convert Cybiko computer picture files (*.pic) or (*.xpic) to bitmap files (*.bmp).
  • Convert midi files (*.mid) to Cybiko computer music files (*.music), and to send music files to Cybiko computer.

Converter consists of:

  • Converter main window;
  • Picture Adjustment Box;
  • Cybiko Picture to PC Bitmap Converter Box;
  • Music File Converter Box.


How to define view of CDC window

How to define view of Converter window

Choose View main menu item.

Press Toolbar menu item to turn on/off toolbar with Converter buttons.

Press Status Bar menu item to turn on/off hints at the bottom of Converter main window.


How to define positional relationship of CDC window and Picture Adjustment Box

How to define positional relationship of Converter main window and Picture Adjustment Box

1. Select PicBox main menu item.

2. Select Magnetism item to turn on/off magnetism of Converter window and Picture Adjustment Box.

When you turn off magnetism, Picture Adjustment Box will move independently.


Working with picture file

Working with picture files

Using the Converter program you can:

· Send pictures from your computer: change them into picture files, and put them on your Cybiko computer!

· Take your Cybiko computer pictures, stick them on your PC, and have some more fun with them!


How to get picture on your Cybiko

How to get picture on your Cybiko computer

  1. Open a bitmap file.
  2. Adjust a picture as you want.
  3. Send it to Cybiko computer.


Opening bmp

Opening bitmap file

1. On the File menu, click Open.
2. In the Look In box, click the location of the bitmap file.
3. Below the Look In box, double-click the folder you want.
4. Double-click the bitmap file name, or type it in the File Name box.


Picture adjustment

You can work with two types of picture files: four-color pictures (*. pic) and photo-color pictures (*.xpic). To choose the version you want to use, just choose “Photo” or “Four” in the Palette group in the Picture Adjustment Box

You’ll see the bmp image in the Converters main window just like it’ll look on your Cybiko computer. This is so you can work with it a little more if you don’t immediately like what you see!

Check Preview at Picture Adjustment Box to view picture in Cybiko computer colors.

Uncheck Preview at Picture Adjustment Box to view picture in its original colors. In non-preview mode you can use only Zoom control slider.

To move the frame at the main window use keyboard arrows or move the mouse while holding left button.

You can adjust picture using:

  • Brightness

  • Contrast

  • Noise

  • Zoom

Or follow our recommendations for four-color picture.

Brightness

Drag the Brightness control slider up to make picture lighter and down to make picture darker.

Contrast

Drag the Contrast control slider up to increase picture's contrast and down to decrease picture's contrast.

Noise

Drag the Noise control slider up to increase picture's noisiness and down to decrease picture's noisiness

Zoom

At Picture Adjustment Box:

Drag the Zoom control slider up to zoom in converted area and down to zoom out converted area.

At Converter main window:

Hold Control key and press Up/Down arrow or move the mouse while holding right button.

Press <Default> to set default adjustment parameters.

Recommendations: How to adjust a four-color picture

1. Slide the Contrast and Noise controls to their lowest position.

2. Use the Brightness control slider to achieve equal filled areas of two Cybiko computer colors (light gray, gray).

3. Drag the Contrast control slider up until you see another two Cybiko computer colors.

4. Achieve equal filled areas of four Cybiko computer colors with the Contrast control slider.

5. Use the Noise control slider to set optimal level of noisiness.


How to send picture file to Cybiko

How to send picture file to Cybiko computer

Choose Cybiko menu item to send current picture (that you can see at Picture Adjustment Box) to your Cybiko computer.

or

Use CyberLoad to download pictures from you PC directory to Cybiko computer.

How to save picture file to your PC

To save picture file (*.pic) or (*.xpic) that you can see at Picture Adjustment Box, click Save As button and then type a name in the File Name box.

Note. The file name must consist of not more than 18 symbols. The symbols “-”, “+” and “.” are unavailable as the first and the last file name symbols.


How to get picture file from Cybiko to PC

How to get picture file from Cybiko computer to PC

1. Copy or move picture from your Cybiko computer to PC using CyberLoad.

2. Run the Converter in the CyberLoad program and open the picture file (*.pic or *.xpic).

3. Save the picture on your PC.


Copying file from Cybiko to PC

Moving file from Cybiko computer to PC

First you have to do is to get the picture in your PC:

1. Return to the CyberLoad program.

2. Check off the file you want to move and press <Move>.


Opening picture file

Opening picture file (*.pic or *.xpic) file

Run the Converter from the CyberLoad program.

1. On the File menu, click Open.
2. In the Look In box, click the location of the picture file.
3. Below the Look In box, double-click the folder you want.
4. Double-click the picture file name, or type it in the File Name box.


Picture adjustment and saving

Saving a converted picture

Press <Save Bmp> to save picture you see in the view box. Standard Window’s “Save As” box will open. Here you can select the directory and file name you want for your picture.

Press <Close Box> to close the conversion box. If you check “Close on Save” option then when you save bmp file the box will automatically close.


Cybiko plays only one track of Music at a time

What types of music files can I work with?

Converter allows to convert MIDI files to Cybiko computer “.music” format.


Opening a midi file

How to open a music file

1. Click “Open” item in the “File” menu or press the [image] icon.

2. In the “Open” dialog box, select the MIDI file you wish to convert.

3. If you don’t wish to change the file, tick off “Open as read-only” checkbox.

4. Click “Open” button.

You will see the music file adjustment box.


Music agjustment

How to adjust a music file

MIDI file format

How to select specific tracks

How to transpose the melody

Styles of converting melodies

How to restore default adjustment parameters

How to play source and resulting melodies

MIDI file format

Understanding MIDI file structure is very helpful for creating Cybiko computer variants of the melody.

The MIDI file contains sequence of notes coded as numbers in 0-127 range. The following table lists the numbers corresponding to notes.

Octave # | C | C# | D | D# | E | F | F# | G | G# | A | A# | B
0 | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 0 | 11
1 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 23
2 | 24 | 25 | 26 | 27 | 28 | 29 | 30 | 31 | 32 | 33 | 34 | 35
3 | 36 | 37 | 38 | 39 | 40 | 41 | 42 | 43 | 44 | 45 | 46 | 47
4 | 48 | 49 | 50 | 51 | 52 | 53 | 54 | 55 | 56 | 57 | 58 | 59
5 | 60 | 61 | 62 | 63 | 64 | 65 | 66 | 67 | 68 | 69 | 70 | 71
6 | 72 | 73 | 74 | 75 | 76 | 77 | 78 | 79 | 80 | 81 | 82 | 83
7 | 84 | 85 | 86 | 87 | 88 | 89 | 90 | 91 | 92 | 93 | 94 | 95
8 | 96 | 97 | 98 | 99 | 100 | 101 | 102 | 103 | 104 | 105 | 106 | 107
9 | 108 | 109 | 110 | 111 | 112 | 113 | 114 | 115 | 116 | 117 | 118 | 119
10 | 120 | 121 | 122 | 123 | 124 | 125 | 126 | 127 |  |  |  |

A MIDI file can contain several different melodies to be played simultaneously. These melodies are called tracks. Usually, tracks represent different musical instruments.

Each track can consist of several voices. Voice is a simple melody in which one note at a time is played.

How to select specific tracks

Information about tracks in the opened MIDI file is displayed in Track info box: number of voices in the track and comments – if available.

You can convert the MIDI file “as is”, or you can mute any number of tracks. Tick off only the tracks you wish to keep in the resulting melody.

To select all tracks, tick off “Select all” checkbox.

If you tick “Convert tracks separately” checkbox, only the track in focus will be converted.

How to transpose the melody

As mentioned above, the MIDI file contains sequence of notes coded as numbers in 0-127 range.

The upper and the lower note of the melody is displayed in “Info” box (muted tracks do not count).

Transposition shifts all notes by the same value.

For example, to shift a melody 1 octave up, set semi-tones to 12. To shift a melody 1 octave down, set semi-tones to –12.

To transpose a melody, set the quantity of semi-tones to be shifted by.

If any notes assume values out of 0-127 range, they are skipped. The number of skipped notes is displayed in “Info” box: “Overflow” is the quantity of notes higher than 127, “Underflow” is the quantity of notes lower than 0.

For better representation of the melody on Cybiko computer, including notes lower than 29 is not recommended. Such adjustment can be done automatically – simply check Auto transpose option. After the first transposition is made and out-of-range notes are muted, additional transposition is performed: if the lowest note in the resulting melody is less than 29, and/or the highest note is greater than 127, another shift is performed so that the lower note is set to 29 (and all other notes are shifted correspondingly).

Styles of converting melodies

Cybiko computer sound device can play 1 sound at a time. There are two different ways of converting a multi-track or multi-voice MIDI file to Cybiko computer format, resulting in slightly different sounding. Try them both and select the one you like more!

High-tone envelope

If several notes are to be played simultaneously, only the highest one is played instead.

Last pressed note

If several notes are to be played simultaneously, each new note stops the note being played at this moment.

If you convert a 1-voice single-track MIDI file, there is no difference between the converting styles.

The style of converting can be selected in Converting method box.

How to restore default adjustment parameters

Click “Default” button to set default adjustment parameters.

How to play source and resulting melodies

* – rewind

– fast forward

– play

– pause

– stop


How to send a music file to Cybiko

How to save a music file on PC

1. Make sure CyberLoad is running.

2. Select “My Computer” in “Save to” popup menu.

3. Enter the new file name in “File name” field.

4. If you also wish to save a MIDI variation of the resulting melody, tick off the “Save MIDI copy” checkbox now.

5. Press “Save” button.

6. Click “OK” button in “Save As” dialog box. The file will be saved in the default CyberLoad folder, in order to be accessible via CyberLoad later. If you save the file to another folder, CyberLoad would not be able to locate it.

7. If you tick off “Save MIDI copy” checkbox, another “Save AS” dialog box will appear, for the MIDI copy of the file. Press “OK” button.

How to send a music file to a Cybiko computer

1. Make sure your Cybiko computer is connected to PC, and CyberLoad is running.

2. Select “Cybiko Computer” in “Save to” popup menu.

3. Enter the new file name in “File name” field.

4. Press “Save” button.

Note: The file name must consist of no more than 40 symbols. The symbols "-", "+" and "." are unavailable as the first and the last file name symbols.


How to get the latest version of HTML Help Viewer

See page:

http://msdn.microsoft.com/library/tools/htmlhelp/wkshp/download.htm

Download the HTML Help Installation and Update Package (Hhupd.exe) 1.3.

This file will update HTML Help to the latest version, and can be freely

redistributed. The 1.3 version of Hhupd.exe is available for the Intel

platform only, and will work in all supported languages.

Get file:

Original URL:

http://msdn.microsoft.com/library/tools/htmlhelp/wkshp/hhupd.exe

Cybiko URL:

http://www.cybiko.com/helps/hhupd.exe


Picture adjustment

You can work with two types of picture files: four-color pictures (*. pic) and photo-color pictures (*.xpic). To choose the version you want to use, just choose “Photo” or “Four” in the Color group in the Picture Adjustment Box

You’ll see the bmp image in the Converter main window just like it’ll look on your Cybiko computer. This is so you can work with it a little more if you don’t immediately like what you see!

Check Preview at Picture Adjustment Box to view picture in Cybiko computer colors.

Uncheck Preview at Picture Adjustment Box to view picture in its original colors. In non-preview mode you can use only Zoom control slider.

To move the frame at the main window use keyboard arrows or move the mouse while holding left button.

You can adjust picture using:

  • Brightness

  • Contrast

  • Noise

  • Zoom

Or follow our recommendations for four-color picture.

Brightness

Drag the Brightness control slider up to make picture lighter and down to make picture darker.

Contrast

Drag the Contrast control slider up to increase picture's contrast and down to decrease picture's contrast.

Noise

Drag the Noise control slider up to increase picture's noisiness and down to decrease picture's noisiness

Zoom

At Picture Adjustment Box:

Drag the Zoom control slider up to zoom in converted area and down to zoom out converted area.

At Converter main window:

Hold Control key and press Up/Down arrow or move the mouse while holding right button.

Press <Default> to set default adjustment parameters.

Recommendations: How to adjust a four-color picture

1. Slide the Contrast and Noise controls to their lowest position.

2. Use the Brightness control slider to achieve equal filled areas of two Cybiko computer colors (light gray, gray).

3. Drag the Contrast control slider up until you see another two Cybiko computer colors.

4. Achieve equal filled areas of four Cybiko computer colors with the Contrast control slider.

5. Use the Noise control slider to set optimal level of noisiness.